scala.xml
class Comment

[source: `scala/xml/Comment.scala`]

`case` `class` Comment(`val` commentText : String)
  `extends` SpecialNode `with` Product

  The class `Comment` implements an XML node for comments.

Author
  Burak Emir
Parameters
  `text -` the text contained in this node, may not contain "--"

Method Summary
`override def` | equals (x : Any) : Boolean structural equality
`override def` | hashCode : Int hashcode for this Comment
`def` | label : String the constant "#REM"
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | text : String Returns a text representation of this node. Note that this is not equivalent to the XPath node-test called text(), it is rather an implementation of the XPath function string() Martin to Burak: to do: if you make this method abstract, the compiler will now complain if there's no implementation in a subclass. Is this what we want? Note that this would break doc/DocGenator and doc/ModelToXML, with an error message like: doc\DocGenerator.scala:1219: error: object creation impossible, since there is a deferred declaration of method text in class Node of type => String which is not implemented in a subclass new SpecialNode { ^
`override def` | toString (sb : StringBuilder) : StringBuilder Appends "" to this string buffer.

Methods inherited from Product
element, arity

Methods inherited from SpecialNode
attributes, namespace, child

Methods inherited from Node
prefix, scope, getNamespace, attribute, attribute, descendant, descendant_or_self, theSeq, toString, toString, nameToString, xmlType

Methods inherited from NodeSeq
length, elements, apply, apply, \, \\

Methods inherited from Seq
size, isEmpty, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, projection, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` equals(x : Any) : Boolean

  structural equality

`` `def` label : String

  the constant "#REM"

`override` `def` hashCode : Int

  hashcode for this Comment

`override` `def` text : String

  Returns a text representation of this node. Note that this is not equivalent to the XPath node-test called text(), it is rather an implementation of the XPath function string() Martin to Burak: to do: if you make this method abstract, the compiler will now complain if there's no implementation in a subclass. Is this what we want? Note that this would break doc/DocGenator and doc/ModelToXML, with an error message like: doc\DocGenerator.scala:1219: error: object creation impossible, since there is a deferred declaration of method text in class Node of type => String which is not implemented in a subclass new SpecialNode { ^

`override` `def` toString(sb : StringBuilder) : StringBuilder

  Appends "" to this string buffer.

Overrides
  SpecialNode.toString

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement